%global _empty_manifest_terminate_build 0
Name:		python-pylons-sphinx-themes
Version:	1.0.13
Release:	1
Summary:	Sphinx themes for Pylons Project documentation.
License:	BSD
URL:		https://pylonsproject.org
Source0:	https://files.pythonhosted.org/packages/49/8d/723d5d3ec0a469f3ebc381990d08dc4bf8932257ccb02ca5883a3fc9d978/pylons-sphinx-themes-1.0.13.tar.gz
BuildArch:	noarch


%description
This repository is a Python package that contains Sphinx themes for Pylons related projects. This project is based on `Pylons Sphinx Theme <https://github.com/Pylons/pylons_sphinx_theme>`_ (singular), but uses a package implementation instead of git submodules and manual steps.
To use a theme in your Sphinx documentation, follow this guide.

%package -n python3-pylons-sphinx-themes
Summary:	Sphinx themes for Pylons Project documentation.
Provides:	python-pylons-sphinx-themes
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pylons-sphinx-themes
This repository is a Python package that contains Sphinx themes for Pylons related projects. This project is based on `Pylons Sphinx Theme <https://github.com/Pylons/pylons_sphinx_theme>`_ (singular), but uses a package implementation instead of git submodules and manual steps.
To use a theme in your Sphinx documentation, follow this guide.

%package help
Summary:	Development documents and examples for pylons-sphinx-themes
Provides:	python3-pylons-sphinx-themes-doc
%description help
This repository is a Python package that contains Sphinx themes for Pylons related projects. This project is based on `Pylons Sphinx Theme <https://github.com/Pylons/pylons_sphinx_theme>`_ (singular), but uses a package implementation instead of git submodules and manual steps.
To use a theme in your Sphinx documentation, follow this guide.

%prep
%autosetup -n pylons-sphinx-themes-1.0.13

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pylons-sphinx-themes -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jan 27 2021 yanglongkang <yanglongkang@huawei.com> - 1.0.13-1
- Package init
